org.apache.ignite.internal.sql.optimizer.affinity

## Class PartitionTable

- java.lang.Object
- - org.apache.ignite.internal.sql.optimizer.affinity.PartitionTable

    public class PartitionTable
    extends Object

Single table with affinity info.

### Constructor Summary

Constructors
Constructor and Description
`PartitionTable(String alias, String cacheName, @Nullable String affColName, @Nullable String secondAffColName)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `alias()`
`String` `cacheName()`
`boolean` `isAffinityColumn(String colName)` Check whether passed column is affinity column.
`int` `joinGroup()`
`void` `joinGroup(int joinGrp)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PartitionTable

    public PartitionTable(String alias,
                          String cacheName,
                          @Nullable
                          @Nullable String affColName,
                          @Nullable
                          @Nullable String secondAffColName)

Constructor.

Parameters:
  `alias` - Unique alias.
  `cacheName` - Cache name.
  `affColName` - Affinity column name.
  `secondAffColName` - Second affinity column name.

### Method Detail

#### alias

    public String alias()

Returns:
  Alias.

#### cacheName

    public String cacheName()

Returns:
  Cache name.

#### isAffinityColumn

    public boolean isAffinityColumn(String colName)

Check whether passed column is affinity column.

Parameters:
  `colName` - Column name.
Returns:
  `True` if affinity column.

#### joinGroup

    public int joinGroup()

Returns:
  Join group index.

#### joinGroup

    public void joinGroup(int joinGrp)

Parameters:
  `joinGrp` - Join group index.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023